> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pool and Operator mappings for all Validators.

> This endpoint returns information about the pools and operators mapped to validators. Use this endpoint to retrieve pool and operator mapping information for all validators.

<Warning>
  This endpoint is available only to annual commitment and custom Enterprise plans. Get in touch with [hello@rated.network ](<mailto:hello@rated.network >)to learn more.
</Warning>


## OpenAPI

````yaml get /v1/eth/validators/mappings
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/eth/validators/mappings:
    get:
      tags:
        - Metadata
      summary: Get Pool and Operator mappings for all Validators.
      description: >-
        This endpoint returns information about the pools and operators mapped
        to validators. Use this endpoint to retrieve pool and operator mapping
        information for all validators.
      operationId: get_validators_mappings_v1_eth_validators_mappings_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 10
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__31
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__31:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            properties:
              validatorIndex:
                type: integer
                minimum: 0
                title: Validatorindex
              validatorPubkey:
                type: string
                title: Validatorpubkey
              pool:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Pool
              dvtNetwork:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Dvtnetwork
              nodeOperators:
                anyOf:
                  - items:
                      type: string
                    type: array
                  - type: 'null'
                title: Nodeoperators
              dvtOperators:
                anyOf:
                  - items:
                      type: string
                    type: array
                  - type: 'null'
                title: Dvtoperators
              depositAddresses:
                anyOf:
                  - items:
                      type: string
                    type: array
                  - type: 'null'
                title: Depositaddresses
              withdrawalAddress:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Withdrawaladdress
              subpool:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Subpool
            type: object
            required:
              - validatorIndex
              - validatorPubkey
              - pool
              - dvtNetwork
              - nodeOperators
              - dvtOperators
              - depositAddresses
              - withdrawalAddress
              - subpool
            title: ValidatorMappings
            examples:
              - depositAddresses:
                  - '0x74134d0c91798d720a5585364bb4be7396c5b973'
                dvtOperators: []
                nodeOperators: []
                validatorIndex: 100
                validatorPubkey: >-
                  0xb5bc96b70df0dfcc252c9ff0d1b42cb6dc0d55f8defa474dc0a5c7e0402c241e2850fea9c582e276b638b3c2c3a5ec55
                withdrawalAddress: '0xfff1ce616cf83327981bf61396ad0c04e0c8b771'
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1ValidatorMappings
      examples:
        - next: >-
            https://api.rated.network//v1/eth/validators/mappings?limit=10&offset=30
          pages: 10
          previous: >-
            https://api.rated.network//v1/eth/validators/mappings?limit=10&offset=10
          results:
            - - depositAddresses:
                  - '0x74134d0c91798d720a5585364bb4be7396c5b973'
                dvtOperators: []
                nodeOperators: []
                validatorIndex: 100
                validatorPubkey: >-
                  0xb5bc96b70df0dfcc252c9ff0d1b42cb6dc0d55f8defa474dc0a5c7e0402c241e2850fea9c582e276b638b3c2c3a5ec55
                withdrawalAddress: '0xfff1ce616cf83327981bf61396ad0c04e0c8b771'
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````